Subject: Re: FVWM: FVWM error messages

From: Mikhael Goikhman <[email-masked]>
Date: Fri, 04 Aug 2000 06:07:27 +0300

On 31 Jul 2000 18:52:41 -0400, Warren Burke wrote:
> 
> OK, I have attached the config file concerning the following:
> 
> On Jul 30,  8:48pm, Michael Han wrote:
> > 
> > On Sun, Jul 30, 2000 at 11:06:05PM -0400, Warren Burke wrote:
> > > Whenever I start or restart FVWM I get the following errors:
> > >
> > > FvwmButtons: Button too wide. giving up
> > > Button=2 num_columns=2 bwidth=3 w=0

In your FvwmButtons configuration:

  *FvwmButtons(... Container(Rows 8 Columns 2) ...)

but:

  *FvwmButtons(3x2 ...)  # you request 3 columns, while you allocate 2

then:

  *FvwmButtons(... Container(Rows 3 Columns 2) ...)

but:

  *FvwmButtons(4x1 ...) # you request 4 columns, while you allocate 2

Try to draw squares on the paper first. :) Please remember that logical
sizes like 2x2 are different inside and outside of every container. When
you start a new container, sizes in it are independant from the parent.
I would not suggest to specify Geometry until you get the desired layout.

Example:

       1   2   3   4

     +---+-----------+
   1 |               |
     |               |
   2 |               |
     +-------+-------+
   3 |       |       |
     +-------|       |
   4 |       |       |
     +---+---+-------+

You don't need any containers if you specify sizes and in the right order.
  [4x2, 2x1, 2x2, 2x1]  # if not sure, containers may sometimes help

You can add one container:
  [1x1, 1x1 of Container[2x1, 2x2, 2x1]]  # is it better?

You can add one more container:
  [1x1, 1x1 of Container[1x1 of Container[1x1, 1x1], 1x1]]  # this is it :)

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].